#include "dma.hpp"

using namespace stm32f072xb;

Dma<DmaChannel::CHANNEL4, DmaPeripheral::USART2_TX>::Dma(AbstractDmaInit& dmaInit,
                                                         Uart<UartRegister::UART2, Port::A>& uart)
    : AbstractDma(DMA1_Channel4, dmaInit) {
	uart.enableDmaTransmission();
}

Dma<DmaChannel::CHANNEL5, DmaPeripheral::USART2_RX>::Dma(AbstractDmaInit& dmaInit,
                                                         Uart<UartRegister::UART2, Port::A>& uart)
    : AbstractDma(DMA1_Channel5, dmaInit) {
	uart.enableDmaReception();
}
